#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);cout.tie(NULL);
    long long n;
    cin>>n;
    long long a[n];
    for(long long i=0;i<n;i++)cin>>a[i];
    long long q;
    cin>>q;
    bool h[n];
    int br;
    for(int i=0;i<n-1;i++)
    {
        h[i]=false;
        if(a[i]>a[i+1]) h[i]=true;
    }
    for(long long i=0;i<q;i++)
    {
        long long l,r,i1;
        cin>>l>>r;
        i1=l-1;
        bool p=true;
        while(i1<r-1&&!h[i1])i1++;
        i1++;
        while(i1<r-1&&!h[i1])i1++;
        if(i1<r-1) p=false;
        if(p)cout<<"DA\n";
        else cout<<"NE\n";
    }
}